List Feedback Templates V2
curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/feedback/templates \
--header 'Galileo-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/feedback/templates"
headers = {"Galileo-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Galileo-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/feedback/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"include_explanation": true,
"constraints": {
"feedback_type": "<string>"
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"position": 123,
"criteria": "<string>",
"usage_count": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}feedback
List Feedback Templates V2
deprecated
GET
/
v2
/
projects
/
{project_id}
/
feedback
/
templates
List Feedback Templates V2
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Response
Successful Response
Required string length:
1 - 255- LikeDislikeConstraints
- StarConstraints
- ScoreConstraints
- TagsConstraints
- TextConstraints
- ChoiceConstraints
- TreeChoiceConstraints
Show child attributes
Show child attributes
Minimum string length:
1Number of feedback ratings using the template.
Was this page helpful?
⌘I